<?php

if(!current_user_can('administrator')) { return false; }

$the_query = new WP_Query([
    'post_type' => 'any',
	'posts_per_page' => -1,
	'order' => 'ASC'
]);

if($the_query->have_posts())
{	
	foreach($the_query->posts as $post)
	{
		echo 'Post ID: '.$post->ID.'<br>';
		echo 'Post Title: '.$post->post_title.'<br>';
		
		wp_update_post([
			'ID' => $post->ID
		]);
		
		echo 'Status: updated';
		echo '<hr>';
	}

	wp_reset_postdata();
}

echo '<a href="'.admin_url().'admin.php?page=cosmic_wp_blocks">Go back</a>';